%{?nodejs_find_provides_and_requires}

Name:       nodejs-inherits1
Version:    1.0.0
Release:    %mkrel 5
Summary:    A tiny simple way to do classic inheritance in JS - legacy version
#the license is not included with the tarball so we retrieve it from the
#upstream git repository in Source1
License:    WTFPL
Group:      Development/C
URL:        https://github.com/isaacs/inherits
Source0:    https://registry.npmjs.org/inherits/-/inherits-%{version}.tgz
Source1:    https://raw.github.com/isaacs/inherits/112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
A tiny simple way to do classic inheritance in JavaScript.

This is the legacy version used by many Node.js modules for many years, and is
retained for backward compatibility.  New modules should use the inheritance
functionality available in core Node.js or use the new version of inherits if
they need browser support as well.

%prep
%setup -q -n package

#copy the license into %%{_builddir} so it works with %%doc
cp -p %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/inherits@1
cp -pr inherits.js package.json %{buildroot}%{nodejs_sitelib}/inherits@1

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/inherits@1
%doc README.md LICENSE



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.0-5.mga9
+ Revision: 1816907
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1492589
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1264998
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 950316
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 1.0.0-1.mga5
+ Revision: 794088
- imported package nodejs-inherits1


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 1.0.0-1.mga5
- import from FC

* Fri Jun 07 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-10
- include LICENSE file from upstream git

* Tue Jun 04 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-9
- rename to nodejs-inherits1

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-8
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-6
- add missing build section

* Thu Jan 03 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-5
- correct license tag (thanks to Robin Lee)

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-4
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-3
- guard Requires for F17 automatic depedency generation

* Sat Feb 11 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-2
- switch to automatically generated provides/requires

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
